import { KNativePointer, KUInt } from '@koalaui/interop';
import type { ClassDefinition, ETSFunctionType, ETSModule, ETSParameterExpression, Expression, MethodDefinition, NumberLiteral, Program, ScriptFunction, SourcePosition } from '../../../generated';
import { ExternalSource } from '../peers/ExternalSource';
import { Es2pandaModuleFlag } from '../../../generated/Es2pandaEnums';
import type { AstNode } from '../peers/AstNode';
export declare function extension_ETSModuleGetNamespaceFlag(this: ETSModule): Es2pandaModuleFlag;
export declare function extension_MethodDefinitionSetChildrenParentPtr(this: MethodDefinition): void;
export declare function extension_MethodDefinitionOnUpdate(this: MethodDefinition, original: MethodDefinition): void;
export declare function extension_ScriptFunctionGetSignaturePointer(this: ScriptFunction): KNativePointer;
export declare function extension_ScriptFunctionSetSignaturePointer(this: ScriptFunction, signaturePointer: KNativePointer): void;
export declare function extension_ScriptFunctionGetParamsCasted(this: ScriptFunction): readonly ETSParameterExpression[];
export declare function extension_ScriptFunctionGetPreferredReturnTypePointer(this: ScriptFunction): KNativePointer;
export declare function extension_ScriptFunctionSetPreferredReturnTypePointer(this: ScriptFunction, typePointer: KNativePointer): void;
export declare function extension_ExpressionGetPreferredTypePointer(this: Expression): KNativePointer;
export declare function extension_ExpressionSetPreferredTypePointer(this: Expression, typePointer: KNativePointer): void;
export declare function extension_ProgramGetAstCasted(this: Program): ETSModule;
/** @deprecated Now generated */
export declare function extension_ProgramGetExternalSources(this: Program): readonly ExternalSource[];
export declare function extension_SourcePositionGetLine(this: SourcePosition): KUInt;
export declare function extension_SourcePositionGetCol(this: SourcePosition): KUInt;
export declare function extension_SourcePositionGetIndex(this: SourcePosition): KUInt;
export declare function extension_SourcePositionToString(this: SourcePosition): string;
export declare function extension_NumberLiteralValue(this: NumberLiteral): number;
export declare function extension_ClassDefinitionSetBody(this: ClassDefinition, body: readonly AstNode[]): void;
export declare function extension_ETSFunctionTypeGetParamsCasted(this: ETSFunctionType): readonly ETSParameterExpression[];
